# PetscMatlabEngineCreate

Creates a Matlab engine object

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscMatlabEngineCreate(MPI_Comm comm,const char machine[],PetscMatlabEngine *mengine)

Not Collective

### Input Parameters

| comm | - a separate Matlab engine is started for each process in the communicator
| machine | - name of machine where Matlab engine is to be run (usually PETSC_NULL)

### Output Parameter

mengine -the resulting object

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PetscMatlabEngine

Level:advanced
Location: src/sys/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages